Ordering smart variables list by Puppet class throws "no such column: puppetclasses.name™ error
Description

When on the smart variables or smart class parameters index pages, clicking on the Puppet class column heading to sort the

variables by class throws the following error:

SQLite3::SQLException: no such column: puppetclasses.name: SELECT "lookup_keys".

FROM "lookup_keys" WHERE "lookup_keys"."type" IN ('VariableLookupKey') ORDER BY
name" ASC LIMIT 40 OFFSET O

"puppetclass_id"
"puppetclasses"."

Associated revisions

Revision 0e9b35eb - 12/09/2015 12:19 PM - Tomer Brisker
Fixes #12644, #12643 - Correctly authorize in lookup key index

There was a problem with the authorizer for lookup key indices that led

to problems with sorting and searching.

Because “#includes’ lazy loads the included relation, and the authorizer
didn't need the relation, it didn't load the puppetclass or the

lookup_value table. However, the search_for scope added an order_by or a
where condition to @lookup_keys, which caused the authorizer collection
to create an invalid query.

Revision 5e77d766 - 01/19/2016 08:16 AM - Tomer Brisker
Fixes #12644, #12643 - Correctly authorize in lookup key index

There was a problem with the authorizer for lookup key indices that led

to problems with sorting and searching.

Because “#includes’ lazy loads the included relation, and the authorizer
didn't need the relation, it didn't load the puppetclass or the

lookup_value table. However, the search_for scope added an order_by or a
where condition to @lookup_keys, which caused the authorizer collection
to create an invalid query.

(cherry picked from commit 0e9b35eb264ebfd7630aca7eba72213c6d5a9fal)

History

#1 - 12/03/2015 04:08 AM - Tomer Brisker
- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#2 - 12/03/2015 08:39 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2958 added

#3 - 12/09/2015 01:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 0e9b35eb264ebfd7630aca7eba72213c6d5a9fal.

#4 - 12/10/2015 02:44 AM - Dominic Cleal

- translation missing: en.field_release set to 104

05/18/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/0e9b35eb264ebfd7630aca7eba72213c6d5a9fa1
http://www.tcpdf.org

